﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _320795_PanelBarExample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.radPanelBar.ItemsSource = MyViewModel.GenerateItems();
		}

		private void radPanelBar_Selected(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadPanelBar panelBar = sender as RadPanelBar;
			foreach (MyViewModel dataItem in panelBar.Items)
			{
				RadPanelBarItem panelBarItem = panelBar.ItemContainerGenerator.ContainerFromItem(dataItem) as RadPanelBarItem;
				if (panelBarItem != null && panelBarItem.FindChildByType<SilverlightControl1>() != null)
					VisualStateManager.GoToState(panelBarItem.FindChildByType<SilverlightControl1>(), "Unselected", false);
			}
			RadPanelBarItem selectedItem = e.Source as RadPanelBarItem;
			if (selectedItem != null)
			{
				if (selectedItem.FindChildByType<SilverlightControl1>() != null)
					VisualStateManager.GoToState(selectedItem.FindChildByType<SilverlightControl1>(), "Selected", false);
			}
		}
	}
}
